# std::make_error_code(std::errc)

From cppreference.com
< cpp‎ | error‎ | errc

Defined in header `<system_error>` |  |
std::error_code make_error_code( std::errc e ) noexcept; |  | (since C++11)

Creates error code value for errc enum `e`.

Equivalent to std::error_code(static_cast<int>(e), std::generic_category())

### Parameters

e | - | error code enum to create error code for

### Return value

Error code corresponding to `e`.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/error/errc/make_error_code&oldid=104967"